
Figure - Bug #113708
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 112101 (New): AF-V2.0-Launcher/SystemUI-控制中心

【AF】【EVT】【控制中心】屏幕截图-截取更多内容功能不可用
2022-11-04 16:55 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-04

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211040348

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0045.X101

Reproducibility: Every time Fixed Version: 2022-11-10

Test Type: IT Root cause: 截图过程中 Image 被提前 close 导致的 Crash

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置

2、下划打开控制中心

3、点击屏幕截图

4、在截图旁边的选项中选择“截取更多内容”

【预期结果】

4、点击后，设备进入长截图模式

【实际结果】

4、点击后，设备无反应

【复现率】

必现

History

#1 - 2022-11-08 20:43 - CD APP-王营

- Assignee changed from CD APP-王营 to CD FW 曹覃刚

■ Current conclusion

找到了功能不可用的原因。

■ My analysis

SystemUI 发生了crash 具体log如下

11-06 08:31:23.866 13480 13480 D AndroidRuntime: Shutting down VM

11-06 08:31:23.870 13480 13480 E AndroidRuntime: FATAL EXCEPTION: main

11-06 08:31:23.870 13480 13480 E AndroidRuntime: Process: com.android.systemui:screenshot, PID: 13480

11-06 08:31:23.870 13480 13480 E AndroidRuntime: java.lang.IllegalStateException: Image is already closed

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at android.media.Image.throwISEIfImageIsInvalid(Image.java:73)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at android.media.ImageReader$SurfaceImage.getHardwareBuffer(ImageReader.java:989)

2025-07-04 1/3



11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at com.android.systemui.screenshot.ImageTile.<init>(ImageTile.java:57)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at com.android.systemui.screenshot.ScrollCaptureController.onCaptureResult(ScrollCaptureController.java:263)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at

com.android.systemui.screenshot.ScrollCaptureController.lambda$requestNextTile$2(ScrollCaptureController.java:201)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at

com.android.systemui.screenshot.ScrollCaptureController.$r8$lambda$4sO_sN6742S0RDVb5SN-JLbf7OE(Unknown Source:0)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at com.android.systemui.screenshot.ScrollCaptureController$$ExternalSyntheticLambda2.run(Unknown Source:2)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

11-06 08:31:23.870 13480 13480 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

11-06 08:31:23.873  1043  6863 I am_crash: [13480,0,com.android.systemui:screenshot,818462221,java.lang.IllegalStateException,Image is already closed,Image.java,73]

■ Next action

请SystemUI同事分析一下这个问题。

#2 - 2022-11-09 10:05 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2022-11-09 16:12 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-10

- Root cause set to 截图过程中 Image 被提前 close 导致的 Crash

#4 - 2022-11-09 17:02 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

代码已入库，提交：https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/161275

#5 - 2022-11-10 11:09 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0045.X101

11.10 验证通过

#6 - 2022-11-10 11:09 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/161275


ID Project Branch Uploader

161275 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:ScreenShot: Fix long screenshot crashTC-RID: 1201-0206601IssueID: TS-R-BUG-113708Change-Id: I63a596b341522392dad5c0b94b6ee479eac4a2cb

Files

1136.txt 908 KB 2022-11-04 CD TEST-方永红

Phone-STS40X190122 2022-11-04 15-48-53.mp4 8.34 MB 2022-11-04 CD TEST-方永红
